---
title: SVGImageElement.decode
slug: Web/API/SVGImageElement/decode
tags:
  - API
  - Decode
  - Experimental
  - Image
  - Method
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
  - SVGImageElement
  - asynchronous
---
<div>{{APIRef("SVG")}}</div>

<p><span class="seoSummary">The <strong><code>decode()</code></strong> method of the {{domxref("SVGImageElement")}} interface initiates asynchronous decoding of an image, returning a {{jsxref('Promise')}} that </span>resolves once the image data is ready for use.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var promise = <em>svgImageElement</em>.decode();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref('Promise')}} which resolves once the image data is ready to be used, such as by appending it to the DOM, replacing an existing image, and so forth.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>None.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('SVG2')}}</td>
   <td>{{Spec2('SVG2')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','#dom-img-decode','decode()')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGImageElement.decode")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("HTMLImageElement.decode()")}}: The same thing, but for HTML {{HTMLElement("image")}} elements</li>
</ul>
